VCMICLIENT(1)

NAME
vcmiclient - A free reimplementation of the Heroes of Might and Magic 3 engine.

SYNOPSIS

vcmiclient [options]

DESCRIPTION
This is the client program.

Starting... VCMI @@VERSION@@ - A Heroes of Might and Magic 3 clone Copyright © 2007-present VCMI dev team - see AUTHORS file This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

  Allowed options:

-h [ --help ]
    display help and exit

-v [ --version ]
    display version information and exit

--disable-shm
    force disable shared memory usage

--enable-shm-uuid
    use UUID for shared memory identifier

--testmap arg

--testsave arg

-s [ --spectate ]
    enable spectator interface for AI-only games

--spectate-ignore-hero
    wont follow heroes on adventure map

--spectate-hero-speed arg
    hero movement speed on adventure map

--spectate-battle-speed arg
    battle animation speed for spectator

--spectate-skip-battle
    skip battles in spectator view

--spectate-skip-battle-result
    skip battle result window

--onlyAI
    allow to run without human player, all players will be default AI

--headless
    runs without GUI, implies --onlyAI

--ai arg
    AI to be used for the player, can be specified several times for the consecutive players

--oneGoodAI
    puts one default AI and the rest will be EmptyAI

--autoSkip
    automatically skip turns in GUI

--disable-video
    disable video player

-i [ --nointro ]
    skips intro movies

-d [ --donotstartserver ]
    do not attempt to start server and just connect to it instead server

--serverport arg
    override port specified in config file

--savefrequency arg
    limit auto save creation to each N days

--lobby
    parameters address, port, uuid to connect ro remote lobby session

--lobby-address arg
    address to remote lobby

--lobby-port arg
    port to remote lobby

--lobby-host
    if this client hosts session

--lobby-uuid arg
    uuid to the server

--lobby-connections arg
    connections of server

--lobby-username arg
    player name

--lobby-gamemode arg
    use 0 for new game and 1 for load game

--uuid arg
    uuid for the client

FILES
  user data: $HOME/.local/share/vcmi
  user saves: $HOME/.local/share/vcmi/Saves
  user cache: $HOME/.cache/vcmi
  user config: $HOME/.config/vcmi

EXAMPLES
Start multiplayer server, indicated players 0 and 1 (red and blue) are human players, control all AI players and player 0 (Red) from this client.
    vcmiclient --loadserver --loadnumplayers 2 --loadhumanplayerindices 0 --loadhumanplayerindices 1 --loadplayer 0 Connect to server at 127.0.0.1 port 3030, but do not start a server there, and control player 1 (Blue) from this client. Do not control AI players from this client.
    vcmiclient --loadplayer 1 --loadserverip 127.0.0.1 --loadserverport 3030

REPORTING BUGS
Report bugs to http://bugs.debian.org/vcmi or vcmi@packages.qa.debian.org